## org.apache.http.impl.pool
Class BasicConnFactory

    java.lang.Object
      org.apache.http.impl.pool.BasicConnFactory

All Implemented Interfaces:
  ConnFactory<HttpHost,HttpClientConnection>

    @Immutable
    public class BasicConnFactory

extends Object
implements ConnFactory<HttpHost,HttpClientConnection>

A very basic `ConnFactory` implementation that creates `HttpClientConnection` instances given a `HttpHost` instance.

The following parameters can be used to customize the behavior of this class:

- `CoreProtocolPNames.HTTP_ELEMENT_CHARSET`
- `CoreConnectionPNames.TCP_NODELAY`
- `CoreConnectionPNames.SO_TIMEOUT`
- `CoreConnectionPNames.SO_LINGER`
- `CoreConnectionPNames.SOCKET_BUFFER_SIZE`
- `CoreConnectionPNames.MAX_LINE_LENGTH`

Since:
  4.2
See Also:
  `HttpHost`

Constructor Summary
`BasicConnFactory(HttpParams params)`
`BasicConnFactory(SSLSocketFactory sslfactory, HttpParams params)`

Method Summary
`HttpClientConnection` `create(HttpHost host)`
`protected HttpClientConnection` `create(Socket socket, HttpParams params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicConnFactory

    public BasicConnFactory(SSLSocketFactory sslfactory,
                            HttpParams params)

### BasicConnFactory

    public BasicConnFactory(HttpParams params)

Method Detail

### create

    protected HttpClientConnection create(Socket socket,
                                          HttpParams params)
                                   throws IOException

  Throws:
    `IOException`

### create

    public HttpClientConnection create(HttpHost host)
                                throws IOException

  Specified by:
    `create` in interface `ConnFactory<HttpHost,HttpClientConnection>`
  Throws:
    `IOException`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.